Ticket #285 (closed enhancement: fixed)

Opened 10 years ago

Last modified 10 years ago

[Patch] M-Audio Profire 2626

Reported by: pdhales Assigned to: adi
Priority: minor Milestone:
Component: devices/maudio Version: FFADO SVN (trunk)
Keywords: Profire 2626 Cc:
The device the bug applies to:

Description

I have been lent a Profire 2626 - is there any way I can help get a driver going? (even a basic one)

Attachments

configuration.diff (435 bytes) - added by pdhales on 06/13/10 23:11:07.
Diff for inclusion of profire 2626

Change History

06/07/10 08:08:14 changed by adi

  • owner set to adi.
  • priority changed from major to minor.
  • version changed from FFADO 2.0.0 to FFADO SVN (trunk).
  • status changed from new to assigned.
  • type changed from bug to enhancement.

Hi!

If you like, try to add the device ID to the configuration file. The whole procedure is described here:

http://subversion.ffado.org/wiki/AddingDeviceIds

And make sure to report your changes back, so we can officially include it.

TIA

06/08/10 05:28:07 changed by pdhales

After adding the device ID, it started working.

Will need to test for quality/stability but so far it looks good.

06/09/10 02:29:08 changed by adi

Can you provide us with the new entry for the configuration file, so we can include it in the SVN trunk? Simply attach the diff to this ticket.

How are things going? Is it working? Do you get a mixer interface? (it might work with the generic EAP based DICE mixer, if enabled in the configuration file)

06/13/10 23:11:07 changed by pdhales

  • attachment configuration.diff added.

Diff for inclusion of profire 2626

06/16/10 18:26:25 changed by pdhales

Will get back into testing shortly. I know the driver works fine, but would like to play with the mixer options.

07/21/10 10:19:00 changed by adi

  • summary changed from M-Audio Profire 2626 to [Patch] M-Audio Profire 2626.

09/12/10 12:37:21 changed by arnonym

  • status changed from assigned to closed.
  • resolution set to fixed.

I applied this patch to r1893 and also added a line to tell ffado-mixer to run the default Dice mixer for this device.

As I don't have a profire 2626, does it work with this patch? Does the mixer work with the basic functions? If it doesn't, please re-open this report.